::-webkit-scrollbar {
    display: none;
}

html {
    height: 100%;
    background-size: cover;
    -webkit-overflow-scrolling: touch;
    user-select: none;
    background-color: map-get($colors, background);
}

@keyframes zoomIn {
    from {
      opacity: 0;
      transform: scale3d(0.3, 0.3, 0.3);
    }
  
    50% {
      opacity: 1;
    }
}

body {
    font-family: Arial;
    color: map-get($colors, font);
    margin: 0;

    img {
        user-select: none !important;
        touch-action: none;
        pointer-events: none;
    }

    a {
        color: map-get($colors, font);
        text-decoration: none;
    }

    a:hover {
        color: map-get($colors, font);
        text-decoration: none;
    }

    .top {
        position: absolute;
        top: 0;
        display: flex;
        justify-content: space-between;
        background-color: map-get($colors, background);

        .appsContainer {
            display: flex;
            justify-content: space-between;
            flex: 1 1 0px;
            .button {
                border-color: map-get($colors, grey);
                border-style: solid;
                flex: 1 1 0px;
                text-align: center;
                background-color: map-get($colors, button);
                
                .icon {
                    width: 100%;
                    height: $header_size*0.70;
                    line-height: $header_size*0.70;
                    font-size: 5em;
                }
    
                .label {
                    width: 100%;
                    height: $header_size*0.30;
                    line-height: $header_size*0.30;
                }
            }
            .button:hover {
                background-color: map-get($colors, primary);
            }

        }

        .infoContainer {
            border-color: map-get($colors, grey);
            border-style: solid;
            display: flex;
            flex-direction: column;
            justify-content: center;
            text-align: center;

            .day {
                text-align: left;
                width: 80%;
                margin: 0 10%;
            }

            .hour {
                font-size: 2em;
                border-bottom: 1px solid map-get($colors, grey);
                width: 80%;
                margin: 0 10% 10px 10%;
                padding: 10px 0;
            }

            .wheater {
                font-size: 1.5em;
                letter-spacing: 2px;
                height: 50px;

                .weatherItem {
                    animation-name: zoomIn;
                    animation-iteration-count: 1;
                    animation-duration: 1s;
                    animation-delay: 0s;
                }
            }
        }

        .statusContainer {
            display: flex;
            justify-content: space-around;
            text-align: center;
            font-size: 2em;
            color: map-get($colors, grey);

            .powered {
                color: map-get($colors, font);
            }

            .connected {
                color: map-get($colors, primary);
            }

            .tethering {
                color: map-get($colors, primary);
                animation: blink-animation 2s linear infinite;
            }

            @keyframes blink-animation {
                0%{opacity: 0;}
                25%{opacity: .5;}
                50%{opacity: 1;}
                75%{opacity: .5;}
                100%{opacity: 0;}
            }
        }
    }

    .bottom {
        position: absolute;
        bottom: 0;
        width: 100%;
    }

    .log {
        display: none;
        position: absolute;
        bottom: 0;
        left: 0;
        width: 1080px;
        background: white;
        font-size: 1.5rem;
    }
}
